# List Pipeline Stages

Gets all pipeline stages reflected in the specified sales pipeline, enabling alignment between sales forecasting and project readiness.

Endpoint: GET /v1/pipelines/{pipeline_id}/stages
Version: v1
Security: ApiKey

## Path parameters:

  - `pipeline_id` (string, required)

## Query parameters:

  - `page` (integer)
    The specific page of results requested.

  - `page_size` (integer)
    The number of results in each page.

  - `archived` (boolean)
    Indicates if results should be filtered by their archived status.

## Response 200 fields (application/json):

  - `count` (integer)
    The number of results in the current page.

  - `total` (integer)
    The total number of results that fulfill the request.

  - `page` (integer)
    The current page of results being returned.

  - `total_pages` (integer)
    The total number of available pages that fulfill the request.

  - `page_size` (integer)
    The number of results in each page returned.

  - `results` (array, required)
    The array of result objects for the current page.

  - `results.id` (string)
    The unique identifier for the Pipeline Stage in Parallax.

  - `results.pipeline_id` (string)
    The unique identifier of the Pipeline that this Stage belongs to.

  - `results.name` (string)
    The name of the Pipeline Stage.

  - `results.confidence` (number)
    Represents the likelihood that the project will be sold, as a value between 0.0 (no confidence) and 1.0 (full confidence).

  - `results.archived` (boolean)
    Indicates whether this Pipeline Stage has been archived and is no longer active.

  - `results.created_date` (string)
    The date and time when the Pipeline Stage record was created in Parallax.

  - `results.modified_date` (string)
    The date and time when the Pipeline Stage record was last modified in Parallax.

## Response 400 fields (application/json):

  - `type` (string)
    RFC reference for the error type

  - `title` (string)
    Human-readable summary of the error

  - `status` (integer)
    HTTP status code

  - `errors` (array)
    Detailed error messages for each validation failure

  - `trace_id` (string)
    Trace identifier for debugging

